﻿using System.IO;

namespace Grinder.Renamer
{
    public class ProcessFileParams
    {
        private readonly FileInfo _file;
        private readonly string _newFileName;
        private readonly ProcessingMode _processingMode;
        private readonly string _destination;
        private readonly bool _overwrite;

        public FileInfo File { get { return _file; } }
        public string NewFileName { get { return _newFileName; } }
        public ProcessingMode ProcessingMode { get { return _processingMode; } }
        public string Destination { get { return _destination; } }
        public bool Overwrite { get { return _overwrite; } }

        public ProcessFileParams(FileInfo file, 
            string newFileName, 
            ProcessingMode processingMode, 
            string destination, 
            bool overwrite)
        {
            _file = file;
            _newFileName = newFileName;
            _processingMode = processingMode;
            _destination = destination;
            _overwrite = overwrite;
        }
    }
}
